metadata:
  id: tooljet
  name:
    en: Tooljet
  version: 0.1.0
  displayVersion: 2.4.2
  category:
    af: Automation
    ar: الوضع التلقائي
    ca: Automatització
    cs: Automation
    da: Automation
    de: Automatisierung
    el: Αυτοματισμός
    en: Automation
    es: Automatización
    fi: Automation
    fr: Automatisation
    he: Automation
    hu: Automatizálás
    it: Automazione
    ja: 自動化
    ko: 자동화
    nl: Automatisering
    no: Automation
    pl: Automatyzacja
    pt: Automação
    ro: Automatizare
    ru: Автоматизация
    sr: Automation
    sv: Automatisering
    tr: Otomasyon
    uk: Автоматизація
    vi: Tự động hóa
    zh: 自動化
  tagline:
    en: Alternative to retool to construct CRM dashboard
  developers: {}
  description:
    en: ToolJet is an open-source low-code framework to build and deploy internal tools quickly with minimal engineering effort. ToolJet's drag and drop frontend builder allows you to build complicated responsive frontends within minutes. You can also connect to your data sources, such as databases ( PostgreSQL, MongoDB, Elasticsearch & more), API endpoints (ToolJet supports importing OpenAPI spec & OAuth2 authorization), SaaS tools (Stripe, Slack, Google Sheets, Airtable, Notion & more) and object storage services ( S3, GCS, Minio, etc ) to fetch and write data.
  basePermissions:
  - builtin/network/cluster-egress
  - builtin/network/local-net
  hasPermissions:
  - builtin/network/cluster-egress
  - builtin/network/local-net
  exposesPermissions: []
  repos:
    Source code: https://github.com/ToolJet/ToolJet
  support: https://www.tooljet.com
  icon: https://raw.githubusercontent.com/runtipi/runtipi-appstore/master/apps/tooljet/metadata/logo.jpg
  defaultPassword: null
  license: Unknown
  volumes:
    data:
      minimum_size: 1073741824
      recommended_size: 5368709120
      name:
        en: App data
      description:
        en: All data generated by the app
  ports: []
  runtime: !Plugin tipi
  allowedScopes:
  - User
  defaultScope: User
  storePlugins: []
  uiModule: null
  supportsIngress: true
  canBeProtected: true
  saasCompatibility: Unknown
  rawIngress: false
  postInstallRedirect: null
  components: []
  isCitadel: false
  preloadType: !MainVolumeFromSubdir data
containers:
  db-tooljet: !Deployment
    container:
      cap_add: []
      cap_drop: []
      command: null
      entrypoint: null
      environment:
        PGDATA: !StringLike /data/postgres
        POSTGRES_DB: !StringLike tooljet
        POSTGRES_PASSWORD: !StringLike 2d0fdfbb8f002e29d6052f4ec9d756
        POSTGRES_USER: !StringLike tooljet
      hostname: null
      image: postgres:11
      privileged: false
      restart: null
      stop_grace_period: null
      uid: null
      gid: null
      volumes:
      - !Longhorn
        name: data
        mount_path: /var/lib/postgresql/data
        sub_path: data/db
        is_readonly: false
        from_app: null
        from_ns: null
      working_dir: null
      shm_size: null
      ulimits: null
      host_network: false
      exposes:
        udp: []
        tcp: []
      fs_group: null
      service_account: null
      network_policy: null
      has_permissions: []
      additional_labels:
        uses-compat-layer: tipi
    middlewares: {}
  tooljet: !Deployment
    container:
      cap_add: []
      cap_drop: []
      command:
      - openresty
      - -g
      - daemon off;
      entrypoint: null
      environment:
        SERVER_HOST: !StringLike tooljet-server
      hostname: null
      image: tooljet/tooljet-client-ce:v2.4.2
      privileged: false
      restart: null
      stop_grace_period: null
      uid: null
      gid: null
      volumes: []
      working_dir: null
      shm_size: null
      ulimits: null
      host_network: false
      exposes:
        udp: []
        tcp: []
      fs_group: null
      service_account: null
      network_policy: null
      has_permissions: []
      additional_labels:
        uses-compat-layer: tipi
    middlewares: {}
  tooljet-server: !Deployment
    container:
      cap_add: []
      cap_drop: []
      command:
      - npm
      - run
      - start:prod
      entrypoint: null
      environment:
        CHECK_FOR_UPDATES: !StringLike check_if_updates_are_available
        DEFAULT_FROM_EMAIL: !StringLike hello@tooljet.io
        LOCKBOX_MASTER_KEY: !StringLike 4cd710143d18d270f513d782a26a475009da2f4430aee2e9335e939719ce1505
        PG_DB: !StringLike tooljet
        PG_HOST: !StringLike db-tooljet
        PG_PASS: !StringLike 2d0fdfbb8f002e29d6052f4ec9d756
        PG_USER: !StringLike tooljet
        SECRET_KEY_BASE: !StringLike 5f10035957ca33d036d044f95fcdca8a
        SERVER_HOST: !StringLike tooljet-server
        SERVE_CLIENT: !StringLike 'false'
        TOOLJET_HOST: !StringLike https://test.nirvati.org
      hostname: null
      image: tooljet/tooljet-server-ce:v2.24.0
      privileged: false
      restart: null
      stop_grace_period: null
      uid: null
      gid: null
      volumes: []
      working_dir: null
      shm_size: null
      ulimits: null
      host_network: false
      exposes:
        udp: []
        tcp: []
      fs_group: null
      service_account: null
      network_policy: null
      has_permissions: []
      additional_labels:
        uses-compat-layer: tipi
    middlewares: {}
services:
  db-tooljet:
    target_container: db-tooljet
    type: ClusterIp
    ports:
      udp: {}
      tcp: {}
    cluster_ip: None
    network_policy: null
  tooljet:
    target_container: tooljet
    type: ClusterIp
    ports:
      udp: {}
      tcp: {}
    cluster_ip: None
    network_policy: null
  tooljet-nirvati-ingress:
    target_container: tooljet
    type: ClusterIp
    ports:
      udp: {}
      tcp:
        80: 80
    cluster_ip: null
    network_policy: null
  tooljet-server:
    target_container: tooljet-server
    type: ClusterIp
    ports:
      udp: {}
      tcp: {}
    cluster_ip: None
    network_policy: null
ingress:
- target_service: tooljet-nirvati-ingress
  target_ns: null
  target_app: null
  path_prefix: null
  target_port: 80
  type: Https
  enable_compression: false
  strip_prefix: false
  auth_exclude: false
  component: null
plugins: {}
secrets: []
custom_resources: []
app_network_policy:
  ingress:
    allow_world:
      allow: true
      allowed_ports: null
    allow_cluster:
      allow: false
      allowed_ports: null
    allow_same_ns:
      allow: true
      allowed_ports: null
    cidrs: []
    pods:
    - namespace: null
      app: null
      match_labels:
        uses-compat-layer: tipi
      allowed_ports: null
      all_namespaces: true
  egress:
    allow_cluster: false
    allow_same_ns: true
    allow_kube_api: false
    allow_world: true
    allow_local_net: true
    dns:
      allow: true
      allowed_lookup_names: null
      allowed_lookup_pattern: null
    fqdns: []
    cidrs: []
    services: []
    pods:
    - namespace: null
      app: null
      match_labels:
        uses-compat-layer: tipi
      allowed_ports: null
      all_namespaces: true
other: []
